Ruby: Data Fields

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - d -

- d : _d, BigStruct, C, call_context, cls_struct_18byte, cls_struct_19byte, cls_struct_24byte, cls_struct_4_1byte, cls_struct_5byte, cls_struct_64byte, cls_struct_6byte, cls_struct_7byte, cls_struct_align, cls_struct_combined, DOUBLE_SWAPPER, ffi_dblfl, large_tag, sip_state, struct_108byte, struct_116byte, struct_72byte, test_structure_1, test_structure_6, test_structure_7, U, value_type
- d1 : test_structure_2
- d2 : test_structure_2
- d_altlen : direct
- d_altname : direct
- d_desc : internal_state
- d_ino : direct
- d_name : direct, rb_dirent
- d_namlen : direct, rb_dirent
- d_type : direct, rb_dirent
- dad : ct_data_s
- dat : tmx
- data : dump_arg, each_obj_args, end_proc_data, iseq_trace_data, linkedlist_datablock_internal_s, load_arg, obj_itr, obj_traverse_callback_data, obj_traverse_replace_callback_data, oldbt_arg, rb_data_type_struct, rb_event_hook_struct, rb_global_variable, rb_iseq_new_with_callback_callback_func, rb_memory_view_t, rb_postponed_job_struct, rb_ractor_struct::gc_mark_func_data_struct, rb_tp_struct, rb_trace_arg_struct, RData, root_objects_data, RTypedData, RVALUE, RZombie, stack_chunk, trace_var, vm_ifunc
- data2 : rb_ensure_entry
- data_type : z_stream_s
- dcompact : rb_data_type_struct
- dd : BigStruct, cls_struct_16byte2
- ddouble : fiddle_generic
- debug : cparse_params, parser_params, rb_ractor_struct
- debug_buffer : parser_params
- debug_frozen_string_literal : rb_compile_option_struct
- debug_level : rb_compile_option_struct
- debug_lines : parser_params
- debug_output : parser_params
- decimal_class : JSON_ParserStruct
- def : rb_callable_method_entry_struct, rb_method_entry_struct
- default_mflags : malloc_params
- default_params : rb_vm_struct
- default_seed_bits : rb_random_interface_t
- default_values : rb_iseq_constant_body
- DefaultChar : myCPINFOEX
- deferred_final : rb_objspace
- define() : ruby::backward::cxxanyargs::define_method::driver0< T, F >::engine< N, U >, ruby::backward::cxxanyargs::define_method::driver< T, F >::engine< N, U >
- defined_class : rb_callable_method_entry_struct, rb_method_entry_struct, rescue_funcall_args
- defined_module_hash : rb_vm_struct
- defined_ractor : rb_method_bmethod_struct
- defined_strings : rb_vm_struct
- den : RRational
- depth : internal_state, JSON_Generator_StateStruct
- dest : dump_arg
- destination : RMoved
- destination_encoding : rb_econv_t
- destination_encoding_name : rb_econv_t
- devmajor : tar_header
- devminor : tar_header
- df : ComplexDateData
- dfree : rb_data_type_struct, RData, RZombie
- dh : dh_blocking_gen_arg
- di_dbm : dbmdata
- di_size : dbmdata
- digest_len : rb_digest_metadata_t
- digits : ibf_object_bignum, RBignum
- dir : dir_data
- direct : gz_state
- dirp : ruby_glob_entries_t
- dirsep : push_glob_args
- dirstr : DIR
- disk_num_start : unz_file_info64_s, unz_file_info_s
- dispatch : _Win32OLEIDispatch
- distbits : inflate_state
- distcode : inflate_state
- dl : ct_data_s
- dmark : rb_data_type_struct, RData
- dmax : inflate_state, re_pattern_buffer
- dmin : re_pattern_buffer
- dname : transcoder_entry_t
- do_chomp : parser_params
- do_line : ruby_cmdline_options
- do_loop : parser_params, ruby_cmdline_options
- do_print : parser_params, ruby_cmdline_options
- do_search : ruby_cmdline_options
- do_split : parser_params, ruby_cmdline_options
- done : chdir_data, gz_header_s
- dont_gc : rb_objspace
- dont_incremental : rb_objspace
- dosDate : curfile64_info, unz_file_info64_s, unz_file_info_s, zip_fileinfo
- dp : dirent_brace_args, oleparam
- dsa : dsa_blocking_gen_arg
- dsize : rb_data_type_struct
- dst : copy_stream_struct, enumerator, rename_args
- dst_encoding : rb_transcoder
- dst_fd : copy_stream_struct
- dst_stat : copy_stream_struct
- dsymbol_fstr_hash : rb_symbols_t
- dummy : rb_strterm_literal_struct, RMoved
- dummy_for_alignment : rb_transcoding::rb_transcoding_state_t
- dump : ibf_dump_iseq_list_arg, ibf_dump_object_list_arg, ruby_cmdline_options, w_ivar_arg
- dumper : marshal_compat_t
- dup2_tmpbuf : rb_execarg
- during_compacting : rb_objspace
- during_gc : rb_objspace
- during_minor_gc : rb_objspace
- dv : malloc_state
- dvsize : malloc_state
- dwBufferCount : WSAMSG
- dwCookie : oleeventdata
- dwFlags : WSAMSG
- dyn_dtree : internal_state
- dyn_ltree : internal_state
- dyn_tree : tree_desc_s